#!/bin/bash -p

set -euo pipefail

DMG="$1"                                  # 传入的 dmg 路径
MNT=""                                    # 挂载点稍后动态获得

MNT=$(hdiutil attach "$DMG" -nobrowse -readonly | awk -F '\t' '/\/Volumes\// {print $3; exit}')

open -a "$MNT"/Quark.app --args --clouddriveinstall
